var ParametrosComprasSuprimentosController = function (ScreenService, General, MessageService) {
    this.defineCurrentRow = function(widget){
        widget.currentRow = widget.dataSource.data[0];
        widget.currentRow.DTULTATU = widget.currentRow.DTULTATU.substring(0, 10);
        widget.currentRow.DTINCLUSAO = widget.currentRow.DTINCLUSAO.substring(0, 10);
    };

    this.salvaParametros = function(widget){
        if(widget.isValid() && validaValorAcrescimo(widget.currentRow.VRACRESCIMOAF)){
            widget.currentRow.VRACRESCIMOAF = General.valueToFloat(widget.currentRow.VRACRESCIMOAF);
            widget.saveRow().then(function(){
                widget.reload();
            });
        }
    };

    function validaValorAcrescimo (valor){
        valor = parseFloat(valor.replace(/\./g, '').replace(',', '.'));
        if(valor <= 0) {
            MessageService.showMessageByCode("VLR_ACRESCIMO_AF");
            return false;
        } else{
            return true;
        }
    }
};

Configuration(function(ContextRegister) {
    ContextRegister.register('ParametrosComprasSuprimentosController', ParametrosComprasSuprimentosController);
});